
import {Evento} from './evento';

export class Discoteca {

    private id: number;
    private nombre: string;
    private telefono: number;
    private localizacion: string;
    private eventos: Evento[];
    private descripcion: string;


    setNombre(nombre: string): void{
        this.nombre = nombre;
      }

    getNombre(): string{
        return this.nombre;
      }

    setTelefono(telefono: number): void{
        this.telefono = telefono;
    }

    getTelefono(): number{
        return this.telefono;
    }

    setLocalizacion(localizacion: string): void{
        this.localizacion = localizacion;
    }

    getLocalizacion(): string{
        return this.localizacion
    }

    getEventos(): Evento[]{
        return this.eventos;
    }

    setDescripcion(desc: string): void{
        this.descripcion = desc;
    }

    getDescripcion(): string{
        return this.descripcion;
    }
}
